.task {
  display: flex;
  align-items: flex-start;
  width: 400px;
  min-height: 323px;
  margin-bottom: 30px;
  padding: 30px 42px 30px 30px;
  box-sizing: border-box;
  border-radius: 10px;
  box-shadow: 2px 2px 50px rgba(0, 0, 0, 0.5);
  transition: 1s;

  &:hover {
    box-shadow: 2px 2px 50px rgba(60, 167, 255, 0.5);
  }

  @media screen and (max-width: 768px) {
    width: 300px;
  }
}

.header,
.description {
  margin: 0;
}

.header {
  font-size: 20px;
  line-height: 1.1;
  font-weight: 500;
  color: #000000;
  font-family: "Roboto", "Arial", sans-serif;
}

.description {
  margin-top: 12px;
  font-size: 16px;
  color: rgba(0, 0, 0, 0.6);
  font-family: "Roboto Condensed", "Arial", sans-serif;
}

.task_checkbox {
  input {
    border: 1px solid #979797;
    box-sizing: border-box;
    border-radius: 5px;
  }
}

.task__content_wrapper {
  display: flex;
  flex-wrap: wrap;
  align-self: stretch;
  margin-left: 17px;
}

.tag_wrapper {
  margin-top: 10px;
  align-self: flex-end;
}

.input_wrapper {
  display: block;
  min-width: 24px;
  height: 24px;
  border: 1px solid #979797;
  box-sizing: border-box;
  border-radius: 5px;
  transition: 0.6s;

  &:hover {
    cursor: pointer;
    box-shadow: 1px 1px 5px rgba(60, 167, 255, 0.5);
  }
}

.input_wrapper__checked {
  border: 1px solid rgba(60, 167, 255, 0.8);
  background: url("https://img.icons8.com/material-two-tone/2x/checkmark--v2.png")
    center / contain no-repeat;
}

.input {
  position: absolute;
  width: 1px;
  height: 1px;
  overflow: hidden;
  clip: rect(0 0 0 0);
}